> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Transfers for a Payment

> Fetch Transfers for a payment using the Razorpay API.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇸🇬 Singapore</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to retrieve the collection of all transfers created on a specific Payment id. Once the settlement against the transfer is processed, a webhook notification `settlement.processed` is sent which contains a `recipient_settlement_id`. Know more about [sample webhook payloads](/docs/sg/webhooks/route#settlement-processed).

<RequestExample>
  ```bash Curl theme={null}
  curl -X GET https://api.razorpay.com/v1/payments/pay_JGmCgTEa9OTQcX/transfers \
  -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \ 
  ```

  ```java Java theme={null}
  RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");

  String paymentId = "pay_JGmCgTEa9OTQcX";

  List<Payment> payments = razorpay.payments.fetchAllTransfers(paymentId)
  ```

  ```php PHP theme={null}
  $api = new Api($key_id, $secret);

  $api->payment->fetch('payment')->transfers();
  ```

  ```javascript Node.js theme={null}
  var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })

  instance.payments.fetchTransfer(paymentId)
  ```

  ```python Python theme={null}
  client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))

  client.payment.transfers(paymentId)
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')

  paymentId = "pay_JGmCgTEa9OTQcX"

  Razorpay::Payment.fetch(paymentId).fetch_transfer
  ```

  ```go Go theme={null}
  import ( razorpay "github.com/razorpay/razorpay-go" )
  client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")

  body, err := client.Payment.Transfers("<paymentId>", nil, nil)
  ```

  ```csharp .NET theme={null}
  RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]
  ");

  string paymentId = "pay_E9up5WhIfMYnKW";

  List<Transfer> token = client.Payment.Fetch(paymentId).Transfers();
  ```

  ```bash CLI theme={null}
  razorpay route transfers fetch-by-payment pay_JMNiqyuoFoJcXb
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "entity": "collection",
    "count": 2,
    "items": [
      {
        "id": "trf_JJD535tJtk6Yy0",
        "entity": "transfer",
        "status": "processed",
        "source": "pay_JGmCgTEa9OTQcX",
        "recipient": "acc_IROu8Nod6PXPtZ",
        "amount": 100,
        "currency": "INR",
        "amount_reversed": 0,
        "fees": 1,
        "tax": 0,
        "notes": {
          "name": "Gaurav Kumar",
          "roll_no": "IEC2011025"
        },
        "linked_account_notes": [
          "roll_no"
        ],
        "on_hold": true,
        "on_hold_until": 1671222870,
        "settlement_status": "on_hold",
        "recipient_settlement_id": null,
        "created_at": 1649933574,
        "processed_at": 1649933579,
        "error": {
          "code": null,
          "description": null,
          "reason": null,
          "field": null,
          "step": null,
          "id": "trf_JJD535tJtk6Yy0",
          "source": null,
          "metadata": null
        }
      },
      {
        "id": "trf_JJD536GI6wuz3m",
        "entity": "transfer",
        "status": "processed",
        "source": "pay_JGmCgTEa9OTQcX",
        "recipient": "acc_IRQWUleX4BqvYn",
        "amount": 300,
        "currency": "INR",
        "amount_reversed": 0,
        "fees": 1,
        "tax": 0,
        "notes": {
          "name": "Saurav Kumar",
          "roll_no": "IEC2011026"
        },
        "linked_account_notes": [
          "roll_no"
        ],
        "on_hold": false,
        "on_hold_until": null,
        "settlement_status": "pending",
        "recipient_settlement_id": null,
        "created_at": 1649933574,
        "processed_at": 1649933579,
        "error": {
          "code": null,
          "description": null,
          "reason": null,
          "field": null,
          "step": null,
          "id": "trf_JJD536GI6wuz3m",
          "source": null,
          "metadata": null
        }
      }
    ]
  }
  ```

  ```json Failure theme={null}
  {
     "error":{
        "code":"BAD_REQUEST_ERROR",
        "description":"The api key provided is invalid",
        "source":"NA",
        "step":"NA",
        "reason":"NA",
        "metadata":{

        }
     }
  }
  ```

  ```json Success theme={null}
  {
    "entity": "collection",
    "count": 2,
    "items": [
      {
        "id": "trf_JJD535tJtk6Yy0",
        "entity": "transfer",
        "status": "processed",
        "source": "pay_JGmCgTEa9OTQcX",
        "recipient": "acc_IROu8Nod6PXPtZ",
        "amount": 100,
        "currency": "MYR",
        "amount_reversed": 0,
        "fees": 1,
        "tax": 0,
        "notes": {
          "name": "Nur Aisyah",
          "roll_no": "IEC2011025"
        },
        "linked_account_notes": [
          "roll_no"
        ],
        "on_hold": true,
        "on_hold_until": 1671222870,
        "settlement_status": "on_hold",
        "recipient_settlement_id": null,
        "created_at": 1649933574,
        "processed_at": 1649933579,
        "error": {
          "code": null,
          "description": null,
          "reason": null,
          "field": null,
          "step": null,
          "id": "trf_JJD535tJtk6Yy0",
          "source": null,
          "metadata": null
        }
      },
      {
        "id": "trf_JJD536GI6wuz3m",
        "entity": "transfer",
        "status": "processed",
        "source": "pay_JGmCgTEa9OTQcX",
        "recipient": "acc_IRQWUleX4BqvYn",
        "amount": 300,
        "currency": "MYR",
        "amount_reversed": 0,
        "fees": 1,
        "tax": 0,
        "notes": {
          "name": "Siti Aisyah",
          "roll_no": "IEC2011026"
        },
        "linked_account_notes": [
          "roll_no"
        ],
        "on_hold": false,
        "on_hold_until": null,
        "settlement_status": "pending",
        "recipient_settlement_id": null,
        "created_at": 1649933574,
        "processed_at": 1649933579,
        "error": {
          "code": null,
          "description": null,
          "reason": null,
          "field": null,
          "step": null,
          "id": "trf_JJD536GI6wuz3m",
          "source": null,
          "metadata": null
        }
      }
    ]
  }
  ```

  ```json Failure theme={null}
  {
     "error":{
        "code":"BAD_REQUEST_ERROR",
        "description":"The api key provided is invalid",
        "source":"NA",
        "step":"NA",
        "reason":"NA",
        "metadata":{

        }
     }
  }
  ```
</ResponseExample>

## Path Parameters

<ParamField path="id" type="string" required>
  Unique identifier of the Payment for which transfers must be retrieved.
</ParamField>

## Response Parameters

<ResponseField name="id" type="string">
  Unique identifier of the transfer.
</ResponseField>

<ResponseField name="entity" type="string">
  The name of the entity. Here, it is `transfer`.
</ResponseField>

<ResponseField name="transfer_status" type="string">
  The status of the transfer. Possible values are:

  * `created`
  * `pending`
  * `processed`
  * `failed`
  * `reversed`
  * `partially_reversed`
</ResponseField>

<ResponseField name="settlement_status" type="string">
  The status of the settlement. Possible values are:

  * `pending`
  * `on_hold`
  * `settled`
</ResponseField>

<ResponseField name="source" type="string">
  Unique identifier of the transfer source. The source can be a `payment` or an `order`.
</ResponseField>

<ResponseField name="recipient" type="string">
  Unique identifier of the transfer destination, that is, the Linked Account.
</ResponseField>

<ResponseField name="amount" type="integer">
  The amount to be transferred to the Linked Account, in paise. For example, for an amount of ₹200.35, the value of this field should be 20035.
</ResponseField>

<ResponseField name="currency" type="string">
  ISO currency code. We support route transfers only in `INR`.
</ResponseField>

<ResponseField name="amount_reversed" type="integer">
  Amount reversed from this transfer for refunds.
</ResponseField>

<ResponseField name="notes" type="json object">
  Set of key-value pairs that can be associated with an entity. These pairs can be useful for storing additional information about the entity. A maximum of 15 key-value pairs, each of 256 characters (maximum), are supported. For example, `"region": "south", "city": "Bangalore"`.
</ResponseField>

<ResponseField name="error" type="string">
  Provides error details that may occur during transfers.
</ResponseField>

<ResponseField name="code" type="string">
  Type of the error.
</ResponseField>

<ResponseField name="description" type="string">
  Error description.
</ResponseField>

<ResponseField name="field" type="string">
  Name of the parameter in the API request that caused the error.
</ResponseField>

<ResponseField name="source" type="string">
  The point of failure in the specific operation. For example, customer, business and so on.
</ResponseField>

<ResponseField name="step" type="string">
  The stage where the transaction failure occurred. Stages can be different depending on the payment method used to make the transaction.
</ResponseField>

<ResponseField name="id" type="string">
  Unique identifier of the transfer.
</ResponseField>

<ResponseField name="reason" type="string">
  The exact error reason. It can be handled programmatically.
</ResponseField>

<ResponseField name="linked_account_notes" type="array">
  List of keys from the `notes` object which needs to be shown to Linked Accounts on their Dashboard. For example, `"region", "city"`. Only the keys will be shown, not values.
</ResponseField>

<ResponseField name="on_hold" type="boolean">
  Indicates whether the account settlement for transfer is on hold. Possible values:

  * `true`: Puts the settlement on hold.
  * `false`: Releases the settlement.
</ResponseField>

<ResponseField name="on_hold_until" type="integer">
  Timestamp, in Unix format, indicates until when the settlement of the transfer must be put on hold. If no value is passed, the settlement is put on hold indefinitely.
</ResponseField>

<ResponseField name="recipient_settlement_id" type="string">
  Unique identifier of the settlement.
</ResponseField>

<ResponseField name="created_at" type="integer">
  Timestamp, in Unix, at which the record was created.
</ResponseField>

## Errors

<AccordionGroup>
  <Accordion title="The api key/secret provided is invalid">
    **Code:** `4xx`

    This error occurs when there is a mismatch between the API credentials passed in the API call and the API credentials generated on the Dashboard.

    **Solution:** Make sure the API Keys are active and entered correctly. Also, there should not be any whitespaces before or after the keys.
  </Accordion>

  <Accordion title="payment_id is not a valid id">
    **Code:** `400`

    This error occurs when you pass an invalid `payment_id` in the API endpoint.

    **Solution:** Make sure to pass a vaild `payment_id`.
  </Accordion>
</AccordionGroup>
